
Dashboard - Feature #40296

mgr/dashboard: Maintain and improve code coverage on dashboard PRs

06/12/2019 12:46 PM - Stephan Müller

Status: In Progress % Done: 0%

Priority: Normal   

Assignee: Stephan Müller   

Category: Testing & QA   

Target version: v15.0.0   

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport:  Pull request ID:  

Description

Find github plugins or extend Jenkins to enforce a test coverage that cannot decrease.

Best would be on a per file basis for unit tests.

Currently no idea how to measure E2E and API tests, may be there is a way.

Related issues:

Blocked by Dashboard - Bug #40487: mgr/dashboard: clean-up python unit tests Resolved

History

#1 - 06/12/2019 12:48 PM - Stephan Müller

- Description updated

#2 - 06/17/2019 08:50 AM - Stephan Müller

- Related to Tasks #36451: mgr/dashboard: Scalability testing added

#3 - 06/17/2019 10:28 AM - Lenz Grimmer

- Tags set to qa, testing

- Subject changed from Code coverage on dashboard PRs to mgr/dashboard: Maintain and improve code coverage on dashboard PRs

- Category set to 151

#4 - 06/18/2019 01:02 PM - Stephan Müller

- Status changed from New to In Progress

#5 - 07/09/2019 04:36 PM - Lenz Grimmer

- Related to deleted (Tasks #36451: mgr/dashboard: Scalability testing)

#6 - 07/12/2019 11:50 AM - Lenz Grimmer

- Target version set to v15.0.0

#7 - 07/24/2019 03:41 PM - Stephan Müller

The current problem is that codecov and codacy need a git hub token to be send with the coverage reports.

They both suggest using CircleCI or TravisCI to export the variable as a secret. We have Jenkins in place, but I currently see no way to use the token

as a secret to upload the coverage reports even if some Jenkins administrator would create the environment variable, someone could just echo it out

in a PR and steal it (or am I wrong here?).

I will investigate further.
https://github.com/marketplace?utf8=%E2%9C%93&query=coverage


#8 - 07/25/2019 02:27 PM - Stephan Müller

I found a solution for the problem which is described here: https://www.tikalk.com/posts/2017/03/07/how-to-mask-credentials-in-your-jenkins-jobs/

There is a plugin for Jenkins to use credentials in way that they can't be exposed if someone tries it will print out some asterisks instead.

The only problem now is to find an admin in charge to do that for us.

Does anybody know who can help us out here?

#9 - 07/25/2019 02:58 PM - Stephan Müller

- Blocks Bug #40487: mgr/dashboard: clean-up python unit tests added

#10 - 07/25/2019 03:01 PM - Stephan Müller

If https://tracker.ceph.com/issues/40487 is resolved this issue can be continued.

Currently the python unit tests cannot be run in TravisCi or CircleCi, because they include integration tests where ceph has to be build in the first

place.

#11 - 07/25/2019 04:00 PM - Ernesto Puerta

Ooops. My PR on refactoring unit-tests is currently blocked as I'm modifying the behaviour of install-deps.sh script and need agreement/inputs on

these changes. However, as this change needs mine, I may refactor mine to leave just the things you need here (mocking + disable doctests). How

does it sound?

#12 - 07/26/2019 08:46 AM - Stephan Müller

That sounds great :) That should resolve the building problem that currently occurs on external ci's.

#13 - 08/19/2019 09:00 AM - Ernesto Puerta

- Blocks deleted (Bug #40487: mgr/dashboard: clean-up python unit tests)

#14 - 08/19/2019 09:00 AM - Ernesto Puerta

- Blocked by Bug #40487: mgr/dashboard: clean-up python unit tests added

#15 - 01/09/2020 01:22 PM - Patrick Seidensal

What's the status of this issue?

#16 - 04/15/2021 05:17 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 151 to Testing & QA

#17 - 09/22/2021 03:16 PM - Ernesto Puerta

- Tags changed from qa, testing to qa, testing, dashboard_sprint_23
